package com.ejie.ab79.model.REST.servicioWeb;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

public class Url extends Trazabilidad implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	@JsonInclude(Include.NON_NULL)
	private String url;

	@JsonInclude(Include.NON_NULL)
	private String nombre;

	@JsonInclude(Include.NON_NULL)
	private String contenido;

	/**
	 * Constructor.
	 */
	public Url() {
	}

	/**
	 * Constructor.
	 */
	public Url(String url) {
		this.url = url;
	}

	/**
	 * @return the url
	 */
	public String getUrl() {
		return this.url;
	}

	/**
	 * @param url
	 *            the url to set
	 */
	public void setUrl(String url) {
		this.url = url;
	}

	/**
	 * @return the nombre
	 */
	public String getNombre() {
		return this.nombre;
	}

	/**
	 * @param nombre
	 *            the nombre to set
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	/**
	 * @return the contenido
	 */
	public String getContenido() {
		return this.contenido;
	}

	/**
	 * @param contenido
	 *            the contenido to set
	 */
	public void setContenido(String contenido) {
		this.contenido = contenido;
	}

	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ url: ").append(this.url).append(" ]");
		result.append(", [ nombre: ").append(this.nombre).append(" ]");
		result.append(", [ contenido: ").append(this.contenido).append(" ]");
		result.append("}");
		return result.toString();
	}
}
